{
    "fields": [
        {
            "doc": "* Unique identifier of the source file.",
            "name": "fileId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "* Original call position for the variant, if the file was normalized.\n         *\n         * {position}:{reference}:{alternate}(,{other_alternate})*:{allele_index}",
            "name": "call",
            "type": [
                "null",
                {
                    "fields": [
                        {
                            "doc": "* Original variant ID before normalization including all secondary alternates.",
                            "name": "variantId",
                            "type": "string"
                        },
                        {
                            "doc": "* Alternate allele index of the original multi-allellic variant call in which was decomposed.",
                            "name": "alleleIndex",
                            "type": [
                                "null",
                                "int"
                            ]
                        }
                    ],
                    "name": "OriginalCall",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "* Optional data that probably depend on the format of the file the\n         * variant was initially read from.",
            "name": "data",
            "type": {
                "type": "map",
                "values": "string"
            }
        }
    ],
    "name": "FileEntry",
    "namespace": "org.opencb.biodata.models.variant.avro",
    "type": "record"
}